<?php

function generate_pagination_url($page) {
	// Capturando todos os parâmetros GET
	$params = $_GET;
	// Adicionando o parâmetro da página
	$params['page'] = $page;
	// Gerando a URL com os parâmetros atualizados
	return "index.php?" . http_build_query($params);
}

// Verificando se há resultados e se há mais de uma página antes de exibir a paginação
if ($total_pages > 1) {
	echo "<div class='pagination'>";
	if ($current_page > 1) {
		echo "<a href='" . generate_pagination_url($current_page - 1) . "'>Anterior</a>&nbsp;";
	}

	$startPage = max(1, $current_page - 3);
	$endPage = min($total_pages, $current_page + 3);

	for ($i = $startPage; $i <= $endPage; $i++) {
		if ($i == $current_page) {
			echo "<strong><a href='" . generate_pagination_url($i) . "'>" . $i . "</a></strong>&nbsp;";
		} else {
			echo "<a href='" . generate_pagination_url($i) . "'>" . $i . "</a>&nbsp;";
		}
	}

	if ($current_page < $total_pages) {
		echo "<a href='" . generate_pagination_url($current_page + 1) . "'>Próxima</a>";
	}
	echo "</div>";
}

?>


